#!/bin/bash
#用来保存和从保存的值设置笔记本电脑背光
#/lib/systemd/system/setsavebacklight.service 
#/lib/udev/rules.d/99-setsavebacklight.rules
#/usr/sbin/setsavebacklight.sh
#用法/usr/sbin/setsavebacklight.sh savetofile 或 filetobkl
#现在实际亮度
drvbrightness=
#现在亮度驱动名称
drvname=
bkdirname=
#现在允许的最大亮度
drvmaxbrightness=
#现在允许的最大亮度
drvminbrightness=
#系统中上次保存的亮度
localbrightness=
#查询一下本地保存的背光
if [ -f "/etc/localbrightness.conf" ]
then
	localbrightness=`cat /etc/localbrightness.conf`
fi
#bkdirname=`ls /sys/class/backlight/ | head -1`
#确定使用的是哪种背光 可以用dmi确定 目前只能支持zx_backlight
if [ -f "/sys/class/backlight/zx_backlight/brightness" ]
then
	drvname="zx_backlight"
elif [ -f "/sys/class/backlight/n70z/brightness" ]
then
	drvname="n70z"
#elif [ -f "/sys/class/backlight/${bkdirname}/brightness" ]
#then
#	drvname="${bkdirname}"
fi

if [ -n "$drvname" ]
then
	drvbrightness=`cat /sys/class/backlight/${drvname}/brightness`
	drvmaxbrightness=`cat /sys/class/backlight/${drvname}/max_brightness`
else
	exit 0
fi

#判断用法
if [ "$1" = "filetobkl" ]
then
	if [ ${drvbrightness} -eq 0 ]
	then	
		if [ -n "$localbrightness" ]
		then
			echo "$localbrightness" >/sys/class/backlight/${drvname}/brightness
		elif [ -n "$drvmaxbrightness" ]
		then
			echo "$drvmaxbrightness" >/sys/class/backlight/${drvname}/brightness
		fi
	fi
elif [ "$1" = "savetofile" ]
then
	if [ -n "$drvbrightness" ]
	then
		echo "$drvbrightness" >/etc/localbrightness.conf
	fi
else
	echo "setsavebacklight do nothing"
fi
exit 0
